Package Halberd :: Module crew :: Class Scanner |
[show private | hide private]
[frames | no frames]

## Type Scanner

    object --+
             |
      _Verbose --+
                 |
            Thread --+
                     |
           BaseScanner --+
                         |
                        Scanner

Scans the target host from the local machine.

Method Summary
`Clue` | ``makeClue`(self, timestamp, headers)` Compose a clue object.
| ``process`(self)` Gathers clues connecting directly to the target web server.
Inherited from BaseScanner
| ``__init__`(self, state, scantask)` Initializes the scanning thread.
`bool` | ``hasExpired`(self)` Expiration predicate.
`int` | ``remaining`(self, end)` Seconds left until a given point in time.
| ``run`(self)` Perform the scan.
`float` | ``setTimeout`(self, secs)` Compute an expiration time.
Inherited from Thread
| ``__repr__`(self)`
| ``getName`(self)`
| ``isAlive`(self)`
| ``isDaemon`(self)`
| ``join`(self, timeout)`
| ``setDaemon`(self, daemonic)`
| ``setName`(self, name)`
| ``start`(self)`
| ``_set_daemon`(self)`
Inherited from _Verbose
| ``_note`(self, format, *args)`
Inherited from object
| ``__delattr__`(...)` x.__delattr__('name') <==> del x.name
| ``__getattribute__`(...)` x.__getattribute__('name') <==> x.name
| ``__hash__`(x)` x.__hash__() <==> hash(x)
| ``__new__`(T, S, ...)` T.__new__(S, ...) -> a new object with type S, a subtype of T
| ``__reduce__`(...)` helper for pickle
| ``__reduce_ex__`(...)` helper for pickle
| ``__setattr__`(...)` x.__setattr__('name', value) <==> x.name = value
| ``__str__`(x)` x.__str__() <==> str(x)

Instance Variable Summary
Inherited from BaseScanner
`float` | `timeout`: Time (in seconds since the UNIX Epoch) when the scan will be stopped.

Class Variable Summary
Inherited from Thread
`bool` | `_Thread__initialized` = `False`

Method Details

### makeClue(self, timestamp, headers) Compose a clue object. Parameters: `timestamp` - Time when the reply was received. (type=`float`) `headers` - MIME headers coming from an HTTP response. (type=`str`) Returns: A valid clue (type=`Clue`)

### process(self) Gathers clues connecting directly to the target web server. Overrides: `Halberd.crew.BaseScanner.process`

Generated by Epydoc 2.1 on Wed Jul 18 22:25:57 2007 | http://epydoc.sf.net